## Kubernetes integration

### Development / Minikube

To setup a development environment, start minikube on your local
machine. Use `kubectl get nodes` to verify minikube is up and running.

## Settings

### Environment variables / Settings / Environment

* `SECRET_KEY`
* `DEBUG`
* `DATABASE`

## Versions

#### Future (unplanned)

* When/where to add timeframe constraints
* Timeframe slug-or-id
 * Maybe slug and backlink to avail products
* Timeframe in product
 * Should a product define list of time frames AND resources?
   * Then can do autoselect on <resources x timeframes> and only show
     complete ones
   * resources are also timeframe bound
     * name != unique (?)
   * how do we link?
     * stays towards resource
     * we only show resources which have price_per_time with one of
       our timeframes
     * And we filter out timeframes that don't have all resources
 * Can we filter drop down in admin?
  * yes:  ModelAdmin.formfield_for_manytomany(db_field, request, **kwargs)¶
* resources should have a slug
 * can be used as an identifier and non unique names

#### 3.1 (validation release, planned)

* Ensure that one resource cannot have multiple price_per_timeframe of
  the same timeframe


#### 3.0.2 (planned)

* Add basic validation to ordering

#### 3.0.1 (planned)

* Show products [done]
* Link to ProductOrderForm [done]
* Find suitable timeframes for a product [done]
* Continue to resources / add resources
  * Need to list resources [done]
  * Need to create manytomany relations for each resource resoluting
    in ResourceOrders1
    * Need to pass in the price for the selected timeframe [done]
  * On submit
    * Create ProductOrder
    * Create ResourceOrder(s)

#### 3.0.0 (2022-01-14)

* Introduce ProductOrderView


## Pre-Production requirements

* Products need to ensure *all* resources are consistent for different timeframes
* Products cannot have same resource linked twice in same timeframe
